﻿/*=================================================================================================================

■行動禁止ステートは敏捷が0

〇概要
　ユニットが行動禁止ステートになっている場合、敏捷は0になります

〇こんなときに使います
　例えば、行動禁止のステート「気絶」を患った味方ユニット（敏捷5）が居るとします。そして、ゲームでは再攻撃差分が4だったとします。
　デフォルトのままであれば、敏捷4の敵ユニットはその味方ユニットを一回攻撃しかできません。
　しかし、気絶しているなら動けないわけで、味方ユニットの敏捷を0として判定し、敏捷4の敵ユニットは二回攻撃できるべきではないでしょうか。
　デフォルトの仕様に違和感がある場合にお使いください。

〇使い方
　この「行動禁止ステートは敏捷が0.js」をプロジェクトファイルの「Plugin」フォルダに入れてください。

〇注意
　特になし

〇履歴
　2017/06/25 公開

〇対応バージョン
　SRPG Studio Version:1.129

〇連絡先
　・シルバーティアラの行方 - お問い合わせフォーム		https://silvertiara.click/other/contact
　・レリーズ（シルバーティアラの行方作者）titterアカウント	https://twitter.com/ReleaseCarte
　・メールアドレス						silvertiaraorder@gmail.com

〇利用規約
　改変：OK
　改変したものを公開：OK
　再配布：OK
　商用での使用：OK
　作成者の偽り：NG
　著作権表記：必要ありません（記載したいという場合は「Release」または「レリーズ」でお願いします）
　作成者を偽らなければ基本的に全部OKです。

=================================================================================================================*/

(function() {
var alias1 = AbilityCalculator.getAgility;
AbilityCalculator.getAgility = function (unit, weapon) {

	// ユニットのステートが行動禁止なら敏捷は0
	var count = unit.getTurnStateList().getCount();
	for (i = 0; i < count; i++) {
		if (unit.getTurnStateList().getData(i).getState().getBadStateOption()===BadStateOption.NOACTION) {
			return 0;
		}
	}
	return alias1.call(this, unit, weapon);
};


})(); 